import React from 'react';
import PropTypes from 'prop-types';
import { Tabs } from 'antd';

const PandaTabs = (props) => {
    return <Tabs {...props}/>;
};

// PandaTabs.defaultProps = {
//   activeKey: '', // 当前激活 tab 面板的 key
//   addIcon: <></>, // 自定义添加按钮
//   animated: false, // 是否使用动画切换 Tabs, 仅生效于 tabPosition="top"
//   centered: false, // 标签居中展示
//   defaultActiveKey: '', // 初始化选中面板的 key，如果没有设置 activeKey
//   hideAdd: false, // 是否隐藏加号图标，在 type="editable-card" 时有效
//   keyboard: true, // 开启键盘切换功能
//   renderTabBar: (props, DefaultTabBar)=><></>, // 替换 TabBar，用于二次封装标签头
//   size: 'default', // 大小，提供 large default 和 small 三种大小
//   tabBarExtraContent: <></>, // tab bar 上额外的元素
//   tabBarGutter: 0, // tabs 之间的间隙
//   tabBarStyle: {}, // tab bar 的样式对象
//   tabPosition: 'top', // 页签位置，可选值有 top right bottom left
//   type: 'line', // 页签的基本样式，可选 line、card editable-card 类型
//   onChange: (activeKey)=>{}, // 切换面板的回调
//   onEdit: (targetKey, action)=>{}, // 新增和删除页签的回调，在 type="editable-card" 时有效
//   onTabClick: function(key, event){}, // tab 被点击的回调
//   onTabScroll: function({direction}){}, // tab 滚动时触发
// };

// PandaTabs.propTypes = {
//   activeKey: PropTypes.string, // 当前激活 tab 面板的 key
//   addIcon: PropTypes.element, // 自定义添加按钮
//   animated: PropTypes.bool, // 是否使用动画切换 Tabs, 仅生效于 tabPosition="top"
//   centered: PropTypes.bool, // 标签居中展示
//   defaultActiveKey: PropTypes.string, // 初始化选中面板的 key，如果没有设置 activeKey
//   hideAdd: PropTypes.bool, // 是否隐藏加号图标，在 type="editable-card" 时有效
//   keyboard: PropTypes.bool, // 	开启键盘切换功能
//   renderTabBar: PropTypes.func, // 替换 TabBar，用于二次封装标签头
//   size: PropTypes.string, // 大小，提供 large default 和 small 三种大小
//   tabBarExtraContent: PropTypes.element, // tab bar 上额外的元素
//   tabBarGutter: PropTypes.number, // tabs 之间的间隙
//   tabBarStyle: PropTypes.object, // tab bar 的样式对象
//   tabPosition: PropTypes.string, // 页签位置，可选值有 top right bottom left
//   type: PropTypes.string, // 页签的基本样式，可选 line、card editable-card 类型
//   onChange: PropTypes.func, // 切换面板的回调
//   onEdit: PropTypes.func, // 新增和删除页签的回调，在 type="editable-card" 时有效
//   onTabClick: PropTypes.func, // tab 被点击的回调
//   onTabScroll: PropTypes.func, // tab 滚动时触发
// };

PandaTabs.PandaTabPane = Tabs.TabPane;

export default PandaTabs;